<?php

namespace App\ViewModels\ClassificacaoRisco\ClassificacaoRiscoRegistrationViewModel;
use App\Utils\Builder;
use App\Utils\ResponseException;
use Config\CustomRules;
use Exception;

class ClassificacaoRiscoRegistrationViewModelBuilder implements Builder
{
    private $descricao;
    private $id_unidade;
    private $cor;
    private $valor;
    private $criado_em;
    private $atualizado_em;
    private $desativado_em;
    private $criado_por;
    private $alterado_por;
    private $desativado_por;

    /**
     * @param mixed $descricao
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @param mixed $id_unidade
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setIdUnidade($id_unidade)
    {
        $this->id_unidade = $id_unidade;
        return $this;
    }

    /**
     * @param mixed $cor
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setCor($cor)
    {
        $this->cor = $cor;
        return $this;
    }

    /**
     * @param mixed $valor
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setValor($valor)
    {
        $this->valor = $valor;
        return $this;
    }

    /**
     * @param mixed $criado_em
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setCriadoEm($criado_em)
    {
        $this->criado_em = $criado_em;
        return $this;
    }

    /**
     * @param mixed $atualizado_em
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setAtualizadoEm($atualizado_em)
    {
        $this->atualizado_em = $atualizado_em;
        return $this;
    }

    /**
     * @param mixed $desativado_em
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setDesativadoEm($desativado_em)
    {
        $this->desativado_em = $desativado_em;
        return $this;
    }

    /**
     * @param mixed $criado_por
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setCriadoPor($criado_por)
    {
        $this->criado_por = $criado_por;
        return $this;
    }

    /**
     * @param mixed $alterado_por
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setAlteradoPor($alterado_por)
    {
        $this->alterado_por = $alterado_por;
        return $this;
    }

    /**
     * @param mixed $desativado_por
     * @return ClassificacaoRiscoRegistrationViewModelBuilder
     */
    public function setDesativadoPor($desativado_por)
    {
        $this->desativado_por = $desativado_por;
        return $this;
    }


    public function build () {
        $paciente_registration_view_model = new ClassificacaoRiscoRegistrationViewModel();
        $paciente_registration_view_model->setDescricao($this->descricao);
        $paciente_registration_view_model->setIdUnidade($this->id_unidade);
        $paciente_registration_view_model->setCor($this->cor);
        $paciente_registration_view_model->setValor($this->valor);
        $paciente_registration_view_model->setCriadoEm($this->criado_em);
        $paciente_registration_view_model->setAtualizadoEm($this->atualizado_em);
        $paciente_registration_view_model->setDesativadoEm($this->desativado_em);
        $paciente_registration_view_model->setCriadoPor($this->criado_por);
        $paciente_registration_view_model->setAlteradoPor($this->alterado_por);
        $paciente_registration_view_model->setDesativadoPor($this->desativado_por);
        return $paciente_registration_view_model;
    }
}
